First time here? Check out the FAQ!
x

IMO app installing information.

0 votes
asked by
edited by

I have a Galaxy Note 1 phone. It keeps telling me it's not compatible with IMO app.

1 Answer

0 votes
answered by (309k points)
edited by

I have checked the Play Store page and IMO requires Android 4.0 and up to be installed properly. You will have to upgrade the Android version on your phone to be compatible with the latest changes, and then you should be able to install the application. To do this, charge the phone to at least 85 % and access a WiFi network. You have two ways to update the firmware:

  1. Install KIES on a computer and connect the phone to this PC, then follow the instructions in the KIES application.

  2. While you are connected to a WiFi network, go to Settings > About > Software Update and check for updates.

After you have updated the firmware on your phone, access Play Store and search for IMO, then you will have the possibility to install it.

Your answer

Your name to display (optional):
Privacy: Your email address will only be used for sending these notifications.
Anti-spam verification:
To avoid this verification in future, please log in or register
...